<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::file::file_not_found Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1file.html">file</a></li><li class="navelem"><a class="el" href="classdlib_1_1file_1_1file__not__found.html">file_not_found</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classdlib_1_1file_1_1file__not__found-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::file::file_not_found Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for dlib::file::file_not_found:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classdlib_1_1file_1_1file__not__found.png" usemap="#dlib::file::file_5Fnot_5Ffound_map" alt=""/>
  <map id="dlib::file::file_5Fnot_5Ffound_map" name="dlib::file::file_5Fnot_5Ffound_map">
<area href="classdlib_1_1error.html" alt="dlib::error" shape="rect" coords="0,56,141,80"/>
<area href="classdlib_1_1error.html" alt="dlib::error" shape="rect" coords="151,56,292,80"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:abb1f87c785938c6ffc220a4e796accf7"><td class="memItemLeft" align="right" valign="top"><a id="abb1f87c785938c6ffc220a4e796accf7"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>file_not_found</b> (const std::string &amp;s)</td></tr>
<tr class="separator:abb1f87c785938c6ffc220a4e796accf7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb1f87c785938c6ffc220a4e796accf7"><td class="memItemLeft" align="right" valign="top"><a id="abb1f87c785938c6ffc220a4e796accf7"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>file_not_found</b> (const std::string &amp;s)</td></tr>
<tr class="separator:abb1f87c785938c6ffc220a4e796accf7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classdlib_1_1error"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classdlib_1_1error')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classdlib_1_1error.html">dlib::error</a></td></tr>
<tr class="memitem:a9bf6adbf16ad50c6a509b4e18d6becaa inherit pub_methods_classdlib_1_1error"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1error.html#a9bf6adbf16ad50c6a509b4e18d6becaa">error</a> (error_type t, const std::string &amp;a)</td></tr>
<tr class="separator:a9bf6adbf16ad50c6a509b4e18d6becaa inherit pub_methods_classdlib_1_1error"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef92e7c614783f7a1290b8430dc3bea8 inherit pub_methods_classdlib_1_1error"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1error.html#aef92e7c614783f7a1290b8430dc3bea8">error</a> (error_type t)</td></tr>
<tr class="separator:aef92e7c614783f7a1290b8430dc3bea8 inherit pub_methods_classdlib_1_1error"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a05e6b9e17d00751f4603b9b19774fcc0 inherit pub_methods_classdlib_1_1error"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1error.html#a05e6b9e17d00751f4603b9b19774fcc0">error</a> (const std::string &amp;a)</td></tr>
<tr class="separator:a05e6b9e17d00751f4603b9b19774fcc0 inherit pub_methods_classdlib_1_1error"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7aa811457dae46c97d8b9ecc696b0559 inherit pub_methods_classdlib_1_1error"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1error.html#a7aa811457dae46c97d8b9ecc696b0559">error</a> ()</td></tr>
<tr class="separator:a7aa811457dae46c97d8b9ecc696b0559 inherit pub_methods_classdlib_1_1error"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab9a83be4747253f0450091206efa901f inherit pub_methods_classdlib_1_1error"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1error.html#ab9a83be4747253f0450091206efa901f">~error</a> ()  throw ()</td></tr>
<tr class="separator:ab9a83be4747253f0450091206efa901f inherit pub_methods_classdlib_1_1error"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa22eccb67fa747d2f34216905ebc8c51 inherit pub_methods_classdlib_1_1error"><td class="memItemLeft" align="right" valign="top">const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1error.html#aa22eccb67fa747d2f34216905ebc8c51">what</a> () const  throw ()</td></tr>
<tr class="separator:aa22eccb67fa747d2f34216905ebc8c51 inherit pub_methods_classdlib_1_1error"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac442f5d88cdf2adcf2bc00bdb712c09f inherit pub_methods_classdlib_1_1error"><td class="memItemLeft" align="right" valign="top">const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1error.html#ac442f5d88cdf2adcf2bc00bdb712c09f">type_to_string</a> () const  throw ()</td></tr>
<tr class="separator:ac442f5d88cdf2adcf2bc00bdb712c09f inherit pub_methods_classdlib_1_1error"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_attribs_classdlib_1_1error"><td colspan="2" onclick="javascript:toggleInherit('pub_attribs_classdlib_1_1error')"><img src="closed.png" alt="-"/>&#160;Public Attributes inherited from <a class="el" href="classdlib_1_1error.html">dlib::error</a></td></tr>
<tr class="memitem:a1c79d2462200ab506098b4c921ee6776 inherit pub_attribs_classdlib_1_1error"><td class="memItemLeft" align="right" valign="top"><a id="a1c79d2462200ab506098b4c921ee6776"></a>
const std::string&#160;</td><td class="memItemRight" valign="bottom"><b>info</b></td></tr>
<tr class="separator:a1c79d2462200ab506098b4c921ee6776 inherit pub_attribs_classdlib_1_1error"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab7e9eb19d8033a682d096a31192de73f inherit pub_attribs_classdlib_1_1error"><td class="memItemLeft" align="right" valign="top"><a id="ab7e9eb19d8033a682d096a31192de73f"></a>
const error_type&#160;</td><td class="memItemRight" valign="bottom"><b>type</b></td></tr>
<tr class="separator:ab7e9eb19d8033a682d096a31192de73f inherit pub_attribs_classdlib_1_1error"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="dir__nav__kernel__1_8h_source.html">dir_nav_kernel_1.h</a></li>
<li><a class="el" href="dir__nav__kernel__2_8h_source.html">dir_nav_kernel_2.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
